Subject: FYI
From: "Mike" <[email-masked]>
To: "Dave Brake" <[email-masked]>
Date: Fri, 15 Sep 2006 17:50:13 -0400

I received a call from Jim Gorman of Gorman's food market in Lansing today.  He stated that he had some sort of a letter that was sent out by our AG stating we were a scam and that he was going to file suit against us if we didn't refund his money.  I told him no problem and we have done so.  I had not heard really that much about Michigan but I thought you might want to be aware of some activity.  Also, we received a call from our box in Atlanta, GA today.  They stated that quite a few people had come into their store looking to see who we were and what we were about.  They just told them that they did mail forwarding and could not give out any other info.  They did not really say any more than that.  Just thought you might want the "heads-up"!
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]